#!/bin/sh
set -e

if [ "$1" = "" ]; then
  echo "argument cannot be empty"
  exit 1
fi

cd "$(dirname $0)"
PARENT_DIR="$(pwd)"

rm -fr "${1}_build" os161-ostree || true
cp -r "${1}" "${1}_build"
cd "${1}_build"

./configure --ostree="${PARENT_DIR}/os161-ostree"

TARGET_KERNEL=DUMBVM

cd kern/conf
./config $TARGET_KERNEL
cd ../compile/$TARGET_KERNEL
#-j`nproc` does not affect output of bmake
bmake depend -j`nproc`
bmake -j`nproc`
bmake install
cd ../../..

bmake -j`nproc`
bmake depend -j`nproc`
bmake install

cd ..
cp -v sys161.conf os161-ostree/
